lkml.org 
[lkml]   [2011]   [May]   [4]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: [PATCH 1/1] Staging: hv: Add the necessary dependencies to hyperv Kconfig
On Wed, May 04, 2011 at 12:33:02PM -0700, Randy Dunlap wrote:
> On Wed, 4 May 2011 11:53:38 -0700 Greg KH wrote:
>
> > On Wed, May 04, 2011 at 01:44:27PM -0500, H Hartley Sweeten wrote:
> > > On Wednesday, May 04, 2011 11:52 AM, K. Y. Srinivasan wrote:
> > > >
> > > > The vmbus driver dependes on ACPI and PCI subsystems. Change
> > > > Kconfig to reflect this.
> > > >
> > > > Signed-off-by: K. Y. Srinivasan <kys@microsoft.com>
> > > > Signed-off-by: Haiyang Zhang <haiyangz@microsoft.com>
> > > > ---
> > > > drivers/staging/hv/Kconfig | 2 +-
> > > > 1 files changed, 1 insertions(+), 1 deletions(-)
> > > >
> > > > diff --git a/drivers/staging/hv/Kconfig b/drivers/staging/hv/Kconfig
> > > > index 76f0756..5e0c9f6 100644
> > > > --- a/drivers/staging/hv/Kconfig
> > > > +++ b/drivers/staging/hv/Kconfig
> > > > @@ -1,6 +1,6 @@
> > > > config HYPERV
> > > > tristate "Microsoft Hyper-V client drivers"
> > > > - depends on X86 && m
> > > > + depends on X86 && ACPI && PCI && m
> > > > default n
> > > > help
> > > > Select this option to run Linux as a Hyper-V client operating
> > >
> > > ACPI itself depends on PCI.
> >
> > Still? I thought that got removed a while ago.
>
> Still. Len has written in the past that technically there is no such
> dependency, but in reality there is, for now at least. IIRC.

Ok, but then we should still say we depend on PCI to handle if/when ACPI
removes that dependancy in the future. It doesn't hurt here at all.

thanks,

greg k-h


\
 
 \ /
  Last update: 2011-05-04 21:53    [from the cache]
©2003-2011 Jasper Spaans